package com.ruoyi.project.ehs.service.impl;

import com.ruoyi.project.ehs.domain.TMatterFeature;
import com.ruoyi.project.ehs.mapper.TMatterFeatureMapper;
import com.ruoyi.project.ehs.service.ITMatterFeatureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 危害物质关联危险类型Service业务层处理
 *
 * @author ruoyi
 * @date 2021-09-22
 */
@Service
public class TMatterFeatureServiceImpl implements ITMatterFeatureService {

    @Autowired
    private TMatterFeatureMapper tMatterFeatureMapper;


    @Override
    public List<String> queryByIds(String[] ids) {
        return this.tMatterFeatureMapper.queryByIds(ids);
    }

    /**
     * 查询危害物质关联危险类型
     *
     * @param id 危害物质关联危险类型ID
     * @return 危害物质关联危险类型
     */
    @Override
    public TMatterFeature selectTMatterFeatureById(Long id) {
        return tMatterFeatureMapper.selectTMatterFeatureById(id);
    }

    /**
     * 查询危害物质关联危险类型列表
     *
     * @param tMatterFeature 危害物质关联危险类型
     * @return 危害物质关联危险类型
     */
    @Override
    public List<TMatterFeature> selectTMatterFeatureList(TMatterFeature tMatterFeature) {
        return tMatterFeatureMapper.selectTMatterFeatureList(tMatterFeature);
    }

    /**
     * 新增危害物质关联危险类型
     *
     * @param tMatterFeature 危害物质关联危险类型
     * @return 结果
     */
    @Override
    public int insertTMatterFeature(TMatterFeature tMatterFeature) {
        return tMatterFeatureMapper.insertTMatterFeature(tMatterFeature);
    }

    /**
     * 修改危害物质关联危险类型
     *
     * @param tMatterFeature 危害物质关联危险类型
     * @return 结果
     */
    @Override
    public int updateTMatterFeature(TMatterFeature tMatterFeature) {
        return tMatterFeatureMapper.updateTMatterFeature(tMatterFeature);
    }

    /**
     * 批量删除危害物质关联危险类型
     *
     * @param ids 需要删除的危害物质关联危险类型ID
     * @return 结果
     */
    @Override
    public int deleteTMatterFeatureByIds(Long[] ids) {
        return tMatterFeatureMapper.deleteTMatterFeatureByIds(ids);
    }

    /**
     * 删除危害物质关联危险类型信息
     *
     * @param id 危害物质关联危险类型ID
     * @return 结果
     */
    @Override
    public int deleteTMatterFeatureById(Long id) {
        return tMatterFeatureMapper.deleteTMatterFeatureById(id);
    }
}
